blob: d4b9ebe3653c08f61ee1f884ea53e91d30d50569 (
plain) (
tree)
|
|
#!/bin/bash
if [ "$(whoami)" != "root" ]; then
echo "Must be running as root!"
exit 1
fi
DIR="/root/backup/$(date +%s)"
if [ -d "$DIR" ]; then
echo "Backup already running!?"
exit 1
fi
mkdir -p "$DIR"
cd "$DIR" || exit 1
mysqldump --defaults-extra-file=/etc/mysql/debian.cnf --add-locks --add-drop-database --default-character-set=utf8 --databases openslx bwLehrpool > db.sql
RET=$?
if [ $RET -ne 0 ]; then
echo "Database dump failed with exit code $RET"
exit 1
fi
FILELIST="
/opt/openslx/configs
/opt/syncdaemon/config/identity.properties
/etc/lighttpd/server.pem
/etc/lighttpd/chain.pem
/srv/openslx/www/boot/default/config.tgz
"
tar --ignore-failed-read -k -c -p -z -f files.tgz $FILELIST # no quotes here!
RET=$?
if [ $RET -ne 0 ]; then
echo "WARNING: filesystem-tar exited with code $RET - backup might be incomplete!"
fi
tar -k -c -z -f backup.tgz files.tgz db.sql
RET=$?
if [ ! -f backup.tgz ]; then
echo "Creating backup.tgz failed!"
exit 1
fi
if [ $RET -ne 0 ]; then
echo "WARNING: final tar exited with code $RET - backup might be incomplete!"
fi
chown www-data backup.tgz
chmod 0600 backup.tgz
FILE="/tmp/bwlp-backup-$(date +%s)-${RANDOM}.tgz"
if ! mv backup.tgz "$FILE"; then
echo "moving backup to $FILE failed."
exit 1
fi
echo "Location: $FILE"
exit 0
|